{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
    bergamot-elm.url = "git+https://dev.danilafe.com/Everything-I-Know-About-Types/bergamot-elm.git?ref=main";
  };

  outputs = { self, nixpkgs, flake-utils, bergamot-elm }:
    flake-utils.lib.eachDefaultSystem (
      system:
        let
          pkgs = import nixpkgs { inherit system; };
          web-files = import ./default.nix {
            inherit (pkgs) stdenv mkYarnModules;
            bergamot-elm = bergamot-elm.defaultPackage.${system};
          };
        in
          {
            packages = { inherit web-files; };
            defaultPackage = web-files;
          }
    );
}

